import { B as BotConfig, E as ElUserConfig, a as BotUserConfig, b as Bot } from './index-62345680';
export { b as Bot, e as Config, g as ElConfig, E as ElUserConfig, c as createBot, d as createLogger, f as dbConfig, b as default, r as reportConfig, h as resolveElConfig } from './index-62345680';
import { MessageType } from 'mirai-ts';
import 'winston';
import 'commander';
import 'mongoose';
import 'events';
import 'net';
import 'koa';
import '@octokit/webhooks';
import 'node-schedule';

declare function loadConfigFromFile(configFile?: string, configRoot?: string): Promise<BotConfig | null | undefined>;
declare function defineConfig(config: ElUserConfig): ElUserConfig;
declare function defineBotConfig(config: BotUserConfig): BotUserConfig;

declare function parseYaml(path: string): unknown;
declare function merge(target: any, source: any): any;
declare function mergeConfig(defaults: Record<string, any>, overrides: Record<string, any>, isRoot?: boolean): Record<string, any>;

declare const config_parseYaml: typeof parseYaml;
declare const config_merge: typeof merge;
declare const config_mergeConfig: typeof mergeConfig;
declare namespace config {
  export {
    config_parseYaml as parseYaml,
    config_merge as merge,
    config_mergeConfig as mergeConfig,
  };
}

declare function isUrl(url: string): boolean;
declare class InnerMode {
    msg: MessageType.ChatMessage | undefined;
    friendSet: Set<unknown>;
    groupSet: Set<unknown>;
    constructor(msg?: MessageType.ChatMessage);
    setMsg(msg: MessageType.ChatMessage): void;
    enter(): void;
    getStatus(): boolean | undefined;
    exit(): void;
}

declare function renderString(template: string, data: any, name: string): any;

declare function handleError(e: any | Error, logger?: {
    error: (...args: any[]) => void;
}): void;

declare const index_config: typeof config;
declare const index_isUrl: typeof isUrl;
type index_InnerMode = InnerMode;
declare const index_InnerMode: typeof InnerMode;
declare const index_renderString: typeof renderString;
declare const index_handleError: typeof handleError;
declare namespace index {
  export {
    index_config as config,
    index_isUrl as isUrl,
    index_InnerMode as InnerMode,
    index_renderString as renderString,
    index_handleError as handleError,
  };
}

export { defineBotConfig, defineConfig, loadConfigFromFile, index as utils };
